Images

Get image

GET/images/{imageId}

Retrieve an image by its ID for a specific project.

Authorization

ApiKeyAuth
X-API-Key<token>

Internal API key for service-to-service communication.

In: header

Path Parameters

imageId*string

Image ID

Response Body

200application/json

OK

type: object

attached_to_video?boolean
file?object
created_at?string
format?string
id?string
name?string
project_id?string
size?integer
status?object
updated_at?string
url?string
height?integer
id?string
thumbhash?string
width?integer
400application/json

Invalid image ID

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

401application/json

Unauthorized

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

403application/json

Forbidden

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

404application/json

Image not found

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

500application/json

Internal server error

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

curl -X GET "https://api.rixl.com/images/M1uxRI23XL"
fetch("https://api.rixl.com/images/M1uxRI23XL", {
  method: "GET"
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://api.rixl.com/images/M1uxRI23XL"

  req, _ := http.NewRequest("GET", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://api.rixl.com/images/M1uxRI23XL"

response = requests.request("GET", url)

print(response.text)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;

HttpClient client = HttpClient.newBuilder()
  .connectTimeout(Duration.ofSeconds(10))
  .build();

HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
  .uri(URI.create("https://api.rixl.com/images/M1uxRI23XL"))
  .GET()
  .build();

try {
  HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
  System.out.println("Status code: " + response.statusCode());
  System.out.println("Response body: " + response.body());
} catch (Exception e) {
  e.printStackTrace();
}
using System;
using System.Net.Http;
using System.Text;

var client = new HttpClient();
var response = await client.GetAsync("https://api.rixl.com/images/M1uxRI23XL");
var responseBody = await response.Content.ReadAsStringAsync();

OK

application/json

{
  "attached_to_video": false,
  "file": {
    "created_at": "2025-01-01T00:00:00Z",
    "format": "avif",
    "id": "FpvLwyDMqu",
    "name": "original.jpeg",
    "project_id": "Bq4y3QB38S",
    "size": 1048576,
    "status": "ready",
    "updated_at": "2025-01-01T00:00:00Z",
    "url": "https://images.rixl.com/Bq4y3QB38S/FpvLwyDMqu"
  },
  "height": 1080,
  "id": "PS5IMKoFLm",
  "thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI",
  "width": 1920
}

Invalid image ID

application/json

{
  "code": 400,
  "details": "The provided ID is not valid",
  "error": "Invalid image ID"
}

Unauthorized

application/json

{
  "code": 401,
  "details": "The provided ID is not valid",
  "error": "Unauthorized"
}

Forbidden

application/json

{
  "code": 403,
  "details": "The provided ID is not valid",
  "error": "Forbidden"
}

Image not found

application/json

{
  "code": 404,
  "details": "The provided ID is not valid",
  "error": "Image not found"
}

Internal server error

application/json

{
  "code": 500,
  "details": "The provided ID is not valid",
  "error": "Internal server error"
}